%define module	pyzmq


Summary:	Python bindings for zeromq
Name:		python-%{module}
Version:	15.2.0
Release:	%mkrel 1
Source0:	https://pypi.python.org/packages/source/p/%{module}/%{module}-%{version}.tar.xz
License:	LGPLv3+ and ASL 2.0 and BSD
Group:		Development/Python
Url:		http://github.com/zeromq/pyzmq
BuildRequires:  chrpath
BuildRequires:	python-nose
BuildRequires:	python-setuptools
BuildRequires:	python3-setuptools
BuildRequires:	python3-nose
BuildRequires:	python-tools
BuildRequires:	python-cython
BuildRequires:	%{_lib}zeromq-devel
BuildRequires:	%{_lib}python3-devel
BuildRequires:	%{_lib}python-devel

%description
This package contains Python bindings for zeromq, a lightweight and
fast messaging implementation.

%package -n python3-%{module}
Summary:        Software library for fast, message-based applications
Group:          Development/Python

%description -n python3-%{module}
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

This package contains the python 3 bindings.

%prep
%setup -q -n %{module}-%{version}

# remove bundled libraries
rm -rf bundled
for lib in zmq/eventloop/*.py; do
    sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
    touch -r $lib $lib.new &&
    mv $lib.new $lib
done

# remove excecutable bits
chmod -x examples/pubsub/topics_pub.py
chmod -x examples/pubsub/topics_sub.py

%build
%{py3_build}
%{py2_build}

%install
rm -rf %buildroot
%global RPATH /zmq/{backend/cython,devices}
%{py3_install}
chrpath --delete %{buildroot}%{python3_sitearch}%{RPATH}/*.so
%{py2_install}
chrpath --delete %{buildroot}%{python2_sitearch}%{RPATH}/*.so
%{__rm} -f %{buildroot}%{python2_sitearch}/zmq/tests/_test_asyncio.py  
%{__rm} -f %{buildroot}%{python2_sitearch}/zmq/tests/test_asyncio.py
%{__rm} -f %{buildroot}%{python2_sitearch}/zmq/asyncio.py
%{__rm} -f %{buildroot}%{python2_sitearch}/zmq/auth/asyncio.py

%check
%if 0%{?run_tests}
   %{__rm} -f zmq/__*
   PYTHONPATH=%{buildroot}%{python3_sitearch} \
    %{__python3} setup.py test
   %{__rm} -rf %{buildroot}%{python2_sitearch}/zmq/tests
   %{__rm} -rf %{buildroot}%{python3_sitearch}/zmq/tests
%endif

%files
%doc README.md COPYING.* examples/
%{python2_sitearch}/%{module}-*.egg-info
%{python2_sitearch}/zmq

%files -n python3-%{module}
%doc README.md COPYING.*
# examples/
%{python3_sitearch}/%{module}-*.egg-info
%{python3_sitearch}/zmq


%changelog
* Fri Aug 05 2016 adrianomorselli <adrianomorselli> 15.2.0-1uplos2016
- rebuild

* Sun Mar 20 2016 bb <bb> 15.2.0-1pclos2016
- update
